<avatar_input_handler.xml>
  <dynamicCameraCommon>
    <caliberImpulses>
      <range>0 0.01</range>
      <range>20 0.03</range>
      <range>30 0.075</range>
      <range>50 0.15</range>
      <range>60 0.23</range>
      <range>70 0.35</range>
      <range>84 0.45</range>
      <range>99 0.55</range>
      <range>104 0.65</range>
      <range>115 0.8</range>
      <range>128 1.0</range>
      <range>145 1.3</range>
      <range>200 1.5</range>
      <range>300 2.0</range>
    </caliberImpulses>
    <massSensitivity>
      <range>0 1.3</range>
      <range>15 1.0</range>
      <range>20 0.8</range>
      <range>30 0.6</range>
      <range>46 0.57</range>
      <range>60 0.55</range>
      <range>80 0.5</range>
      <range>105 0.45</range>
      <range>120 0.4</range>
      <range>140 0.3</range>
    </massSensitivity>
    <collisionSpeedToImpulseRatio>0.1</collisionSpeedToImpulseRatio>
    <minCollisionSpeed>3.5</minCollisionSpeed>
    <zeroDamageHitSensitivity>0.60</zeroDamageHitSensitivity>
    <ownShotImpulseDelay>0.005</ownShotImpulseDelay>
  </dynamicCameraCommon>
  <postMortemMode>
    <camera>
      <keySensitivity>0.025</keySensitivity>
      <sensitivity>0.0025</sensitivity>
      <scrollSensitivity>	5	</scrollSensitivity>
      <angleRange>10 110</angleRange>
      <distRange>2 25</distRange>
      <fovMultMinDist>1.0</fovMultMinDist>
      <fovMultMaxDist>1.0</fovMultMaxDist>
      <dynamics>
        <impulseOscillator>
          <mass>1.0</mass>
          <stiffness>90.0 90.0 90.0</stiffness>
          <drag>12.0 12.0 12.0</drag>
          <constraints>10.0 0.0 10.0</constraints>
        </impulseOscillator>
        <movementOscillator>
          <mass>1.2</mass>
          <stiffness>25.0 25.0 25.0</stiffness>
          <drag>10.0 10.0 10.0</drag>
          <constraints>40.0 40.0 40.0</constraints>
        </movementOscillator>
        <randomNoiseOscillatorSpherical>
          <mass>0.7</mass>
          <stiffness>8600.0</stiffness>
          <drag>33.0</drag>
          <scaleCoeff>1.0 1.0 0.4</scaleCoeff>
        </randomNoiseOscillatorSpherical>
        <impulseSensitivities>
          <shot>4.0</shot>
          <hit>15.0</hit>
          <otherShot>20.0</otherShot>
          <splash>50.0</splash>
          <vehicleExplosion>2100.0</vehicleExplosion>
        </impulseSensitivities>
        <noiseSensitivities>
          <shot>3.0</shot>
          <hit>30.0</hit>
          <otherShot>15.0</otherShot>
          <splash>30.0</splash>
          <collision>0.5</collision>
          <vehicleExplosion>2500.0</vehicleExplosion>
        </noiseSensitivities>
        <impulseLimits>
        </impulseLimits>
        <noiseLimits>
        </noiseLimits>
        <accelerationSensitivity>3.0</accelerationSensitivity>
        <frontImpulseToPitchRatio>7.0</frontImpulseToPitchRatio>
        <sideImpulseToRollRatio>2.0</sideImpulseToRollRatio>
        <sideImpulseToYawRatio>10.0</sideImpulseToYawRatio>
        <accelerationThreshold>1.5</accelerationThreshold>
        <accelerationMax>15.0</accelerationMax>
        <maxShotImpulseDistance>35.0</maxShotImpulseDistance>
        <maxExplosionImpulseDistance>150.0</maxExplosionImpulseDistance>
        <zoomExposure>0.33</zoomExposure>
      </dynamics>
    </camera>
  </postMortemMode>
  <arcadeMode>
    <aim>arcade</aim>
    <numScrolls>	1	</numScrolls>
    <camera>
      <keySensitivity>0.025</keySensitivity>
      <sensitivity>0.0025</sensitivity>
      <scrollSensitivity>	5	</scrollSensitivity>
      <angleRange>10 110</angleRange>
      <distRange>2 25</distRange>
      <minStartDist>0.0</minStartDist>
      <optimalStartDist>	20	</optimalStartDist>
      <fovMultMinDist>1.0</fovMultMinDist>
      <fovMultMaxDist>1.0</fovMultMaxDist>
      <dynamics>
        <impulseOscillator>
          <mass>1.0</mass>
          <stiffness>90.0 90.0 90.0</stiffness>
          <drag>12.0 12.0 12.0</drag>
          <constraints>10.0 0.0 10.0</constraints>
        </impulseOscillator>
        <movementOscillator>
          <mass>1.2</mass>
          <stiffness>125.0 125.0 125.0</stiffness>
          <drag>19.0 19.0 19.0</drag>
          <constraints>40.0 40.0 40.0</constraints>
        </movementOscillator>
        <randomNoiseOscillatorSpherical>
          <mass>0.7</mass>
          <stiffness>8600.0</stiffness>
          <drag>33.0</drag>
          <scaleCoeff>1.0 1.0 0.4</scaleCoeff>
        </randomNoiseOscillatorSpherical>
        <impulseSensitivities>
          <shot>4.0</shot>
          <hit>5.0</hit>
          <otherShot>10.0</otherShot>
          <splash>50.0</splash>
          <vehicleExplosion>	2100	</vehicleExplosion>
        </impulseSensitivities>
        <noiseSensitivities>
          <shot>3.0</shot>
          <hit>45.0</hit>
          <otherShot>15.0</otherShot>
          <splash>50.0</splash>
          <collision>0.65</collision>
          <vehicleExplosion>	2500	</vehicleExplosion>
        </noiseSensitivities>
        <impulseLimits>
        </impulseLimits>
        <noiseLimits>
        </noiseLimits>
        <accelerationSensitivity>3.0</accelerationSensitivity>
        <frontImpulseToPitchRatio>7.0</frontImpulseToPitchRatio>
        <sideImpulseToRollRatio>2.0</sideImpulseToRollRatio>
        <sideImpulseToYawRatio>10.0</sideImpulseToYawRatio>
        <accelerationThreshold>1.5</accelerationThreshold>
        <accelerationMax>15.0</accelerationMax>
        <maxShotImpulseDistance>35.0</maxShotImpulseDistance>
        <maxExplosionImpulseDistance>	125	</maxExplosionImpulseDistance>
        <zoomExposure>0.33</zoomExposure>
      </dynamics>
    </camera>
  </arcadeMode>
  <strategicMode>
    <aim>strategic</aim>
    <camera>
      <keySensitivity>0.5</keySensitivity>
      <sensitivity>0.05</sensitivity>
      <scrollSensitivity>0.25</scrollSensitivity>
      <distRange>40 100</distRange>
      <fovMult>1.0</fovMult>
      <dynamics>
        <oscillator>
          <mass>1.5</mass>
          <stiffness>90.0 90.0 90.0</stiffness>
          <drag>12.0 12.0 12.0</drag>
          <constraints>10.0 10.0 30.0</constraints>
        </oscillator>
        <randomNoiseOscillatorFlat>
          <mass>1.0</mass>
          <stiffness>8600.0</stiffness>
          <drag>33.0</drag>
        </randomNoiseOscillatorFlat>
        <impulseSensitivities>
          <hit>250.0</hit>
          <splash>300.0</splash>
        </impulseSensitivities>
        <noiseSensitivities>
          <shot>100.0</shot>
          <hit>1500.0</hit>
          <splash>1500.0</splash>
          <projectileHit>21.0</projectileHit>
        </noiseSensitivities>
        <impulseLimits>
        </impulseLimits>
        <noiseLimits>
          <shot>50.0 50.0</shot>
          <projectileHit>10.0 10.0</projectileHit>
        </noiseLimits>
      </dynamics>
    </camera>
  </strategicMode>
  <sniperMode>
    <aim>sniper</aim>
    <binoculars>
      <background>system/maps/slens_map.dds</background>
      <distortion>system/maps/slens_nornal.dds</distortion>
      <rgbCube>system/maps/post_processing/cube/wgr_lens_gb5.dds</rgbCube>
      <greenOffset>4.0</greenOffset>
      <blueOffset>8.0</blueOffset>
      <aberrationRadius>0.5</aberrationRadius>
      <distortionAmount>-0.003</distortionAmount>
    </binoculars>
    <numScrolls>	1	</numScrolls>
    <camera>
      <keySensitivity>0.01</keySensitivity>
      <sensitivity>0.005</sensitivity>
      <scrollSensitivity>0.0025</scrollSensitivity>
      <zooms>2 4 8</zooms>
      <dynamics>
        <impulseOscillator>
          <mass>1.5</mass>
          <stiffness>90.0 90.0 90.0</stiffness>
          <drag>12.0 12.0 12.0</drag>
          <constraints>10.0 10.0 10.0</constraints>
        </impulseOscillator>
        <movementOscillator>
          <mass>1.0</mass>
          <stiffness>25.0 25.0 25.0</stiffness>
          <drag>5.0 5.0 5.0</drag>
          <constraints>50.0 50.0 50.0</constraints>
        </movementOscillator>
        <randomNoiseOscillatorSpherical>
          <mass>0.8</mass>
          <stiffness>8600.0</stiffness>
          <drag>33.0</drag>
          <scaleCoeff>1.0 1.0 1.0</scaleCoeff>
        </randomNoiseOscillatorSpherical>
        <impulseSensitivities>
          <shot>4.0</shot>
          <hit>3.0</hit>
          <otherShot>0.5</otherShot>
          <splash>5.0</splash>
          <vehicleExplosion>	1200	</vehicleExplosion>
        </impulseSensitivities>
        <noiseSensitivities>
          <shot>25.0</shot>
          <hit>40.0</hit>
          <otherShot>10.0</otherShot>
          <splash>25.0</splash>
          <collision>0.5</collision>
          <vehicleExplosion>	1200	</vehicleExplosion>
        </noiseSensitivities>
        <impulseLimits>
          <shot>0.1 2.0</shot>
          <hit>0.0 1.3</hit>
        </impulseLimits>
        <noiseLimits>
          <shot>0.4 3.5</shot>
          <hit>0.05 3.0</hit>
        </noiseLimits>
        <accelerationSensitivity>0.2 0.4 0.2</accelerationSensitivity>
        <accelerationThreshold>2.0</accelerationThreshold>
        <accelerationMax>6.0</accelerationMax>
        <maxShotImpulseDistance>25.0</maxShotImpulseDistance>
        <maxExplosionImpulseDistance>35.0</maxExplosionImpulseDistance>
        <impulsePartToRoll>0.5</impulsePartToRoll>
        <pivotShift>0.0</pivotShift>
        <aimMarkerDistance>1.0</aimMarkerDistance>
        <zoomExposure>0.6 0.5 0.4</zoomExposure>
      </dynamics>
    </camera>
  </sniperMode>
  <videoMode>
    <camera>
      <sensitivity>0.15</sensitivity>
      <scrollSensitivity>0.25</scrollSensitivity>
      <linearVelocity>5.0</linearVelocity>
      <linearVelocityAcceleration>0.5</linearVelocityAcceleration>
      <keyMoveLeft>KEY_A</keyMoveLeft>
      <keyMoveRight>KEY_D</keyMoveRight>
      <keyMoveUp>KEY_Q</keyMoveUp>
      <keyMoveDown>KEY_E</keyMoveDown>
      <keyMoveForward>KEY_W</keyMoveForward>
      <keyMoveBackward>KEY_S</keyMoveBackward>
      <keyLinearVelocityIncrement>KEY_I</keyLinearVelocityIncrement>
      <keyLinearVelocityDecrement>KEY_K</keyLinearVelocityDecrement>
      <keyRevertVerticalVelocity>KEY_Z</keyRevertVerticalVelocity>
      <angularVelocity>1.0</angularVelocity>
      <angularVelocityAcceleration>0.8</angularVelocityAcceleration>
      <keyRotateLeft>KEY_NUMPAD4</keyRotateLeft>
      <keyRotateRight>KEY_NUMPAD6</keyRotateRight>
      <keyRotateUp>KEY_NUMPAD8</keyRotateUp>
      <keyRotateDown>KEY_NUMPAD5</keyRotateDown>
      <keyRotateClockwise>KEY_NUMPAD3</keyRotateClockwise>
      <keyRotateCClockwise>KEY_NUMPAD2</keyRotateCClockwise>
      <keyAngularVelocityIncrement>KEY_O</keyAngularVelocityIncrement>
      <keyAngularVelocityDecrement>KEY_L</keyAngularVelocityDecrement>
      <keySetDefaultRoll>KEY_R</keySetDefaultRoll>
      <zoomVelocity>0.1</zoomVelocity>
      <zoomVelocityAcceleration>0.05</zoomVelocityAcceleration>
      <keyZoomGrowUp>KEY_INSERT</keyZoomGrowUp>
      <keyZoomGrowDown>KEY_DELETE</keyZoomGrowDown>
      <keyZoomVelocityIncrement>KEY_NUMPADMINUS</keyZoomVelocityIncrement>
      <keyZoomVelocityDecrement>KEY_ADD</keyZoomVelocityDecrement>
      <keySetDefaultFov>KEY_F</keySetDefaultFov>
      <linearFriction>2.0</linearFriction>
      <rotationFriction>1.0</rotationFriction>
      <keySwitchInertia>KEY_P</keySwitchInertia>
      <keySwitchRotateAroundPoint>KEY_C</keySwitchRotateAroundPoint>
      <keyTargetRadiusIncrement>KEY_NUMPAD7</keyTargetRadiusIncrement>
      <keyTargetRadiusDecrement>KEY_NUMPAD1</keyTargetRadiusDecrement>
      <targetRadiusVelocity>3.0</targetRadiusVelocity>
      <keySwitchLandCamera>KEY_X</keySwitchLandCamera>
      <predefinedVelocities>
        <KEY_1>	1	</KEY_1>
        <KEY_2>	2	</KEY_2>
        <KEY_3>	3	</KEY_3>
        <KEY_4>	4	</KEY_4>
        <KEY_5>	5	</KEY_5>
        <KEY_6>	6	</KEY_6>
        <KEY_7>	7	</KEY_7>
        <KEY_8>	8	</KEY_8>
        <KEY_9>	9	</KEY_9>
        <KEY_0>	10	</KEY_0>
      </predefinedVelocities>
      <predefinedVerticalVelocities>
        <KEY_1>	1	</KEY_1>
        <KEY_2>	2	</KEY_2>
        <KEY_3>	3	</KEY_3>
        <KEY_4>	4	</KEY_4>
        <KEY_5>	5	</KEY_5>
        <KEY_6>	6	</KEY_6>
        <KEY_7>	7	</KEY_7>
        <KEY_8>	8	</KEY_8>
        <KEY_9>	9	</KEY_9>
        <KEY_0>	10	</KEY_0>
      </predefinedVerticalVelocities>
      <keyShowGunMarker>KEY_APOSTROPHE</keyShowGunMarker>
    </camera>
  </videoMode>
</avatar_input_handler.xml>